#import "AppDelegate.h"


@implementation AppDelegate

- (IBAction)thrower:(id)sender;
{
	NSError *error = nil;
	id result = [self fetchDocument:[NSURL URLWithString:@"http://www.apple.com"] error:&error];
	if (error) {
		[NSApp presentError:error];
		return;
	}
	
	NSLog(@"Result received: %@", result);
}

- (id)fetchDocument:(NSURL*)url error:(NSError**)error
{
	NSString *myString = [[NSString alloc] initWithContentsOfURL:url];
	
	//start to do something wickedly cool with the data
	if (YES) {
		//An error occurred
		NSMutableDictionary *errorDetail = [NSMutableDictionary dictionary];
		[errorDetail setValue:@"Failed to do something wicked" forKey:NSLocalizedDescriptionKey];
		[errorDetail setValue:myString forKey:@"kReceivedData"];
		*error = [NSError errorWithDomain:@"myDomain" code:100 userInfo:errorDetail];
		return nil;
	}
	//Finish doing something wicked
	return [myString autorelease];
}
						  

@end
